//Script for lesser enemies

#import "data/scripts/library/spawn.h"
#import "data/scripts/library/basic.h"
#import "data/scripts/library/enemies.h"

void layer(int layer)
{// Set's enemy's layer
    void self = getlocalvar("self");
    changeentityproperty(self, "setlayer", layer);
}

void givescore(int Add)
{// Gives score to players
    void P1 = getplayerproperty(0, "entity");

    if(P1!=NULL()){
      int P1Score = getplayerproperty(0, "score");
      changeplayerproperty(0, "score", P1Score+Add);
    }
}

void spawnM(void Name, float dx, float dy, float dz)
{ // Spawn certain entity and matches its map with own's map
   void self = getlocalvar("self");
   int map = getentityproperty(self,"map");
   void Spawn;

   Spawn = spawn01(Name, dx, dy, 0);
   changeentityproperty(Spawn, "map", map);
}

void spawnEnt(void Name, float dx, float dy, float dz, int Num)
{ // Spawn other entity with same map & store it
   void self = getlocalvar("self");
   int map = getentityproperty(self,"map");
   void Spawn;

   Spawn = spawn01(Name, dx, dy, dz);
   changeentityproperty(Spawn, "map", map);
   setentityvar(self, Num, Spawn); // Stores spawned gun to be ordered later
}

void aniSlave(int Num, void Ani)
{// Animation changer for slaves
    void self = getlocalvar("self");
    void Gun = getentityvar(self, Num);

    if(Gun){
      performattack(Gun, openborconstant(Ani));
    }
}
